# Rocketchat

[![Build Status](https://drone.autonomic.zone/api/badges/compose-stacks/rocketchat/status.svg)](https://drone.autonomic.zone/compose-stacks/rocketchat)

[Rocket.chat] using Coöp Cloud ♥

1. Set up Docker Swarm and [`abra`]
2. Deploy [`compose-stacks/traefik`]
3. `cp .envrc.sample .envrc`
4. Edit `.envrc` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `direnv allow` (or `. .envrc`)
6. `abra secret_generate db_password v1`
7. `abra deploy`
9. Open the configured domain in your browser to finish set-up

## Keycloak OpenID single sign-on

(Or use Rocket.Chat's [manual set-up guide](https://docs.rocket.chat/guides/administrator-guides/authentication/open-id-connect/keycloak))

1. Edit `.envrc`; uncomment and edit all the Accounts_OAuth lines, and the
	 `COMPOSE_FILE` line
2. `direnv allow` (or `source .envrc`)
3. Insert the OpenID secret into Docker: (FIXME add option for this to `abra`)
```
echo "your-secret-string-from-keycloak" | docker secret  create "${STACK_NAME}_openid_key_${VERSION}" -
```
4. `abra deploy`
5. You should now have a "Login via Keycloak" option on the login page

[Rocket.chat]: https://rocket.chat
[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`compose-stacks/traefik`]: https://git.autonomic.zone/compose-stacks/traefik
